#version 120

uniform vec3 cameraPosition;
uniform vec3 sunPosition;
uniform vec3 moonPosition;
uniform int fogMode;
uniform int worldTime;
uniform int isEyeInWater;
uniform float rainStrength;
uniform float wetness;
uniform float far;
uniform float near;
uniform mat4 gbufferProjection;
uniform mat4 gbufferProjectionInverse;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform mat4 shadowProjection;
uniform mat4 shadowProjectionInverse;
uniform mat4 shadowModelView;
uniform mat4 shadowModelViewInverse;
uniform float viewWidth;
uniform float viewHeight;
uniform float aspectRatio;
uniform float sunAngle;
uniform float moonAngle;
const int GL_LINEAR = 9729;
const int GL_EXP = 2048;
varying vec4 texcoord;
varying vec3 lightVector;
varying float lightAngle;

void main(){
  gl_Position = ftransform();
  texcoord = gl_MultiTexCoord0;
  if (worldTime < 13000 || worldTime > 23000) {
    lightVector = normalize(sunPosition);
    lightAngle = sunAngle;
  } else {
    lightVector = normalize(moonPosition);
    lightAngle = moonAngle;
  }
}