#version 120

uniform vec3 cameraPosition;
uniform vec3 sunPosition;
uniform vec3 moonPosition;
uniform int fogMode;
uniform int worldTime;
uniform int isEyeInWater;
uniform float rainStrength;
uniform float wetness;
uniform float far;
uniform float near;
uniform mat4 gbufferProjection;
uniform mat4 gbufferProjectionInverse;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform mat4 shadowProjection;
uniform mat4 shadowProjectionInverse;
uniform mat4 shadowModelView;
uniform mat4 shadowModelViewInverse;
uniform float viewWidth;
uniform float viewHeight;
uniform float aspectRatio;
uniform float sunAngle;
uniform float moonAngle;
const int GL_LINEAR = 9729;
const int GL_EXP = 2048;
varying vec4 texcoord;
varying vec4 lmcoord;
varying vec3 tangent;
varying vec3 normal;
varying vec3 binormal;
varying vec3 viewVector;
varying vec4 color;
varying float distance;
varying float iswater;
varying float sprite;
varying float test;

void main(){
    gl_FragDepth = 1.0;
    gl_FragData[0] = vec4(color);
    gl_FragData[1] = vec4(1.0);
    gl_FragData[2] = vec4(vec3(0.0), 1.0);
    gl_FragData[4] = vec4(vec3(0.0), 1.0);
    gl_FragData[3] = gl_FragData[7] = vec4(0.0);
    if (fogMode == GL_EXP) {
       gl_FragData[0].rgb = mix(gl_FragData[0].rgb, gl_Fog.color.rgb, 1.0 - clamp(exp(-gl_Fog.density * gl_FogFragCoord), 0.0, 1.0));
    } else if (fogMode == GL_LINEAR) {
        gl_FragData[0].rgb = mix(gl_FragData[0].rgb, gl_Fog.color.rgb, clamp((gl_FogFragCoord - gl_Fog.start) * gl_Fog.scale, 0.0, 1.0));
    }
}